package twi

import (
	"github.com/gin-gonic/gin"
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
)

type ActBannerRouter struct {
}

// InitActBannerRouter 初始化 ActBanner 路由信息
func (s *ActBannerRouter) InitActBannerRouter(Router *gin.RouterGroup) {
	actBannerRouter := Router.Group("actBanner").Use(middleware.OperationRecord())
	actBannerRouterWithoutRecord := Router.Group("actBanner")
	var actBannerApi = v1.ApiGroupApp.TwiApiGroup.ActBannerApi
	{
		actBannerRouter.POST("createActBanner", actBannerApi.CreateActBanner)   // 新建ActBanner
		actBannerRouter.DELETE("deleteActBanner", actBannerApi.DeleteActBanner) // 删除ActBanner
		actBannerRouter.DELETE("deleteActBannerByIds", actBannerApi.DeleteActBannerByIds) // 批量删除ActBanner
		actBannerRouter.PUT("updateActBanner", actBannerApi.UpdateActBanner)    // 更新ActBanner
	}
	{
		actBannerRouterWithoutRecord.GET("findActBanner", actBannerApi.FindActBanner)        // 根据ID获取ActBanner
		actBannerRouterWithoutRecord.GET("getActBannerList", actBannerApi.GetActBannerList)  // 获取ActBanner列表
	}
}


// InitActBannerPubRouter 初始化 ActBanner 路由信息
func (s *ActBannerRouter) InitActBannerPubRouter(Router *gin.RouterGroup) {
	actBannerRouterWithoutRecord := Router.Group("actBanner")
	var actBannerApi = v1.ApiGroupApp.TwiApiGroup.ActBannerApi
	{
		actBannerRouterWithoutRecord.GET("list", actBannerApi.GetActBannerListWeb)  // 获取ActBanner列表
	}
}